Bug 496904 - Exporting a DVD over NFS causes avcs and sealert bugs
Exporting a DVD over NFS causes avcs and sealert bugs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 11:35 EDT by d. johnson
Modified: 2009-11-18 08:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:04:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit2why results (1.92 KB, text/plain)
2009-04-21 11:35 EDT, d. johnson
no flags Details
sealert -b output (9.88 KB, text/plain)
2009-04-21 11:35 EDT, d. johnson
no flags Details

  None (edit)
Description d. johnson 2009-04-21 11:35:03 EDT
Created attachment 340554 [details]
audit2why results

Description of problem:


Version-Release number of selected component (if applicable):

kernel-2.6.29.1-30.fc10
selinux-policy-targeted-3.5.13-57.fc10


How reproducible:

Easily.

Steps to Reproduce:
1.  Mount a DVD image (F10 respin in my case, but any should do), and add it to /etc/exports.
2.  Use another client (nfs install here) to access the dvd media.
3.  Collect AVCs
  
Actual results:

sealert claims it wants "nfs_export_all_ro --> on" which is already on.

audit2alert claims it wants:

fs_list_inotifyfs(nfsd_t)
storage_raw_read_removable_device(nfsd_t)
fs_list_inotifyfs(rpcbind_t)
fs_list_inotifyfs(rpcd_t)

audit2why complains:

        Was caused by:
                Unknown - would be allowed by active policy
                Possible mismatch between this policy and the one under which the audit message was generated.
                Possible mismatch between current in-memory boolean settings vs. permanent ones.

Expected results:

sealert should not request a boolean be turned on when it is already on.
audit2why results are puzzling.
Perhaps a boolean is needed?

Additional info:
Comment 1 d. johnson 2009-04-21 11:35:59 EDT
Created attachment 340555 [details]
sealert -b output
Comment 2 Daniel Walsh 2009-04-21 13:18:26 EDT
Miroslav, these all seem reasonable to add.

I am updating Rawhide and RHEL5 policy.
Comment 3 Miroslav Grepl 2009-04-24 10:15:11 EDT
Fixed in selinux-policy-3.5.13-58.fc10
Comment 4 Bug Zapper 2009-11-18 07:50:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Daniel Walsh 2009-11-18 08:04:50 EST
Closing as closed in the current release.

Note You need to log in before you can comment on or make changes to this bug.